xawtv(1)

NAME
xawtv - a X11 program for watching TV

SYNOPSIS
xawtv [ options ] [ station name ]

DESCRIPTION
xawtv is a X11 application for watching TV with your unix box. It uses the Athena widgets.

OPTIONS
All command line options also have a Resource, so you can put them into your .Xdefaults file too.

-h, -help
    Print a short description of all command line options.

-hwscan
    Print a list of available devices.

-f, -fullscreen
    startup in fullscreen mode.
    Resource: xawtv.fullscreen (bool).

-n, -noconf
    don't read the config file ($HOME/.xawtv).
    Resource: xawtv.readconfig (bool).

-o, -outfile base
    set basestring for the snapshot output files. The filename will be "base-timestamp-nr.ext".
    Resource: xawtv.basename (string).

-c, -device device
    set video4linux device (default is /dev/video0). This option also disables Xvideo support.
    Resource: xawtv.device (string).

-D, -driver name
    set video4linux driver (default is "libv4l"). This option also disables Xvideo support.
    Resource: xawtv.driver (string).

-C, -dspdev device
    set audio device (default is /dev/dsp).
    Resource: xawtv.dspdev (string).

-vbidev device
    set vbi device (default is /dev/vbi0).
    Resource: xawtv.vbidev (string).

-c, -xvport number
    set Xvideo port (defaults to the first usable if Xvideo is available). This option also enables Xvideo support.
    Resource: xawtv.xvport (int).

-joydev device
    joystick device to use for controlling xawtv.
    Resource: xawtv.joydev (string).

-v, -debug level
    Be verbose, level may be 0 (default), 1 or 2. It exists just for debugging and trouble-shooting.
    Resource: xawtv.debug (int).

-remote
    X11 display is remote. This basically disables overlay mode, you might need this if xawtv fails to autodetect a remote X11 display.
    Resource: xawtv.remote (bool).

-b, -bpp n
    force xawtv into n bpp color depth. Works for switching between 15/16 and 24/32 bpp. This gets just passed through to v4l-conf(8).
    Resource: xawtv.bpp (int).

-shift n
    Shift the video display by n bytes. Try this if your video display isn't within the xawtv window, some older matrox cards show this problem. This gets passed through to v4l-conf(8) too.
    Resource: xawtv.shift (int).

-fb Use the framebuffer device to determine the video framebuffer address (instead of the DGA extension). Yet another pass through argument.
    Resource: xawtv.fbdev (bool).

-xv/-noxv
    enable/disable the usage of the Xvideo extension altogether, i.e. -noxv has the same effect as both -noxv-video and -noxv-image switches (see below).
    Resource: xawtv.xv (bool).

-xv-video/-noxv-video
    enable/disable the usage of the Xvideo extension for video overlay (i.e. XvPutVideo). overlay mode uses this. default is on.
    Resource: xawtv.xvVideo (bool).

-xv-image/-noxv-image
    enable/disable the usage of the Xvideo extension for image scaling (i.e. XvPutImage). grabdisplay mode uses this. default is on.
    Resource: xawtv.xvImage (bool).

-vm/-novm
    enable/disable the usage of the VidMode extension, default is off. If there is a fullscreen video mode configured in the config file, the vidmode extension will be enabled automatically.
    Resource: xawtv.vidmode (bool).

-dga/-nodga
    enable/disable the usage of the DGA extension, default is on.
    Resource: xawtv.dga (bool).

-parallel n
    use n compression threads (default: one).
    Resource: xawtv.parallel (int).

The usual toolkit options like -geometry are supported too.

SUPPORTED HARDWARE / INTERFACES

v4l2
    video4linux two - modern standard linux video capture API

libv4l
    work through the libv4l library, which provides an additional thin layer on top of video4linux2 devices for support of more wide range of devices' pixel formats (often required for webcams etc.) It is default for Xawtv on Linux systems.

bktr
    FreeBSD / OpenBSD driver for bt848/878 grabber cards.

Xvideo
    X11 Extension for video devices. Note that the Xvideo extension does support overlay only, you can't capture images/movies if the Xvideo extension is used. On the other hand this is the only way to scaled video overlay (i.e. fullscreen without black borders @ 1024x748) if both hardware and xfree86 driver support it. See README.xfree4 for more details and hints on how to setup Xvideo.

GETTING STARTED
Just start xawtv. Then verify the settings in the options menu (right mouse button) and adjust the settings (TV norm, Video source, frequency table). With the cursor keys you can control the tuner and look for TV Stations. Other useful hotkeys are listed below.

The hotkey 'E' will show the channel editor where you can create/edit entries your TV stations. Don't forget to click on "save" to write a config file. You can also create/edit a config file with any text editor, see xawtvrc(5) for a description of the config file syntax. There are a number of config options which can only be set by editing the config file.

You can also check out scantv. That's a command line tool which will perform a channel scan and write out a xawtv config file with all channels it has found.

  Mouse functions
The left mouse button will popup a menu with all TV stations found in the config file. The middle button switches to the next station. The right button brings up a window with a lot of options and control functions.

  Keyboard Shortcuts
V            Video (Capture) on/off
A            Audio on/off
F            Fullscreen on/off
G            Grab picture (full size, ppm)
J            Grab picture (full size, jpeg)
Ctrl+G       Grab picture (window size, ppm)
Ctrl+J       Grab picture (window size, jpeg)
O            Popup Options Window
C            Popup Channels Window
E            Popup Channel Editor
R            Popup AVI Recording Window
Z            Channel Hopper (zapping, tune in every
	     station a few seconds)
Ctrl+Z       Fast Channel Hopping (grab the images for the
	     Channel Buttons)

up/down      tune up/down one channel
left/right   fine tuning
pgup/pgdown  station up/down (the ones you have in the config file)
space        next station (same as pgup)
backspace    previously tuned station
Ctrl+up      scan for next station
F5-F12       adjust bright/hue/contrast/color

ESC,Q        Quit

+/-          Volume up/down (keypad)
Enter        mute (keypad)

BUGS
Bug reports with images attached go to /dev/null unseen.

xawtv depends on a correct driver configuration. If you can't tune TV stations even if the settings in the options window are correct it is very likely a driver issue.

The mono/stereo display is not reliable due to v4l API restrictions. The API can not report back the current audio mode, but a list of the currently available modes. xawtv just does a guess based on that, assuming the driver uses the best available mode. Depending on your hardware this might not be true. If in doubt whenever stereo really works, please tune in MTV and listen, don't trust what xawtv says.

SEE ALSO
xawtvrc(5), fbtv(1), v4l-conf(8), scantv(1)
http://bytesex.org/xawtv/ (homepage)

AUTHOR
Gerd Knorr <kraxel@bytesex.org>

COPYRIGHT
Copyright (C) 1997-2001 Gerd Knorr <kraxel@bytesex.org>

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

MISC
You are the 4711th visitor of this page.